
Redmine - Patch #22345

Trackers that have parent_issue_id in their disabled_core_fields should not be selectable for new

child issues

2016-03-30 08:13 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.3.0   

Description

When the user views an issue and clicks the link to add a new child issue, and the project has some trackers where the

parent_issue_id field is disabled, the resulting new issue form for the child issue still presented those trackers for the user to choose

from.

In case the tracker of the parent issue has parent_issue_id disabled itself, a new child issue would even have that tracker

pre-selected through the tracker_id URL param, which is also fixed by the patch.

Patch extracted from Planio

Related issues:

Related to Redmine - Defect #16260: Add Subtask does not work correctly from ... Closed

Related to Redmine - Defect #27895: Trackers with "Parent task" field set to ... New

Associated revisions

Revision 15359 - 2016-04-24 17:22 - Jean-Philippe Lang

Do not propose trackers which disallow parent_issue_id for new child issues (#22345).

also removes the tracker_id from the "Add new child issue" link in case it

doesn't allow parent_issue_id

Patch by Jens Kraemer.

Revision 15360 - 2016-04-24 17:28 - Jean-Philippe Lang

Adds a method for tracker selection (#22345).

History

#1 - 2016-03-30 16:34 - Go MAEDA

- File screenshot-without-the-patch.png added

- Target version set to 3.3.0

Confirmed.

Setting target version to 3.3.0. Thanks for the patch.
#2 - 2016-04-24 17:28 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#3 - 2017-01-22 06:11 - Go MAEDA

- Related to Defect #16260: Add Subtask does not work correctly from tasks with Parent Task field disabled added

#4 - 2018-01-04 14:20 - Go MAEDA

- Related to Defect #27895: Trackers with "Parent task" field set to "Read-only" should not be shown when adding a new subtask added

Files

0001-Do-not-propose-trackers-which-disallow-parent_issue_.patch 2.98 KB 2016-03-30 Jens Krämer

screenshot-without-the-patch.png 39.8 KB 2016-03-30 Go MAEDA
